import e from "../../inherits-browser/dist/index.es.mjs";
import Viewer from "./Viewer.mjs";
import KeyboardMoveModule from "../../diagram-js/lib/navigation/keyboard-move/index.mjs";
import MoveCanvasModule from "../../diagram-js/lib/navigation/movecanvas/index.mjs";
import ZoomScrollModule from "../../diagram-js/lib/navigation/zoomscroll/index.mjs";
function NavigatedViewer(options) {
  Viewer.call(this, options);
}
e(NavigatedViewer, Viewer);
NavigatedViewer.prototype._navigationModules = [
  KeyboardMoveModule,
  MoveCanvasModule,
  ZoomScrollModule
];
NavigatedViewer.prototype._modules = [].concat(
  Viewer.prototype._modules,
  NavigatedViewer.prototype._navigationModules
);
export {
  NavigatedViewer as default
};
